Description

Accessing new databases shouldn't require that the legacy.sql script has been run on it. For example from postgis 1.2.3 the AsBinary
function is renamed to st_asbinary so if the postgis_version() function returns anything bigger than 1.2.3 the correct "st_" version of
the function has to be called.

An analysis of which postgis functions are used on the driver has to be done, implementing a mechanism to select the proper function
depending on the version of the database, allowing databases without the legacy.sql script.

This is an issue raised by the OSGeo Live DVD team, that wants to remove the need to load the legacy.sql from the LiveDVD
creation, somewhat forcing applications to remove this dependency.

History
#1 - 01/13/2014 11:10 AM - Álvaro Anguix
- Assignee set to Juan Lucas Domínguez

#2 - 01/13/2014 01:07 PM - Juan Lucas Domínguez

The current PostgreSQL plugin for gvSIG 2.1.0 uses always the new function names (ST...) so the osgeo DVD will not have problems with it (when
gvSIG 2.1.0 is included in the DVD). So we need to implement the compatibility with old function names (the ones without ST).

#3 - 01/13/2014 05:37 PM - Álvaro Anguix
- Category set to Database

#4 - 01/16/2014 10:57 AM - Juan Lucas Domínguez

Jorge, there is no PostGIS 1.2.3 in the official repo: http://svn.osgeo.org/postgis/tags/
Where did you read that the change was in PostGIS 1.2.3?
I'm going to use 1.3 as the border (we'll use "ST_" if version >= 1.3)

#5 - 01/16/2014 12:10 PM - Álvaro Anguix
- Target version set to 2.1.0-2218-testing

#6 - 01/16/2014 12:12 PM - Juan Lucas Domínguez
http://svn.osgeo.org/postgis/tags/


- Status changed from New to Fixed

Added support for versions of PostGIS < 1.3

gvsig-postgresql:r46

#7 - 01/21/2014 09:27 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2218-testing to 2.1.0-2217-devel

#8 - 01/28/2014 09:14 AM - Álvaro Anguix
- Status changed from Fixed to Closed
